---
updatedAt: 2026-06-24T12:40:48.000Z
agentTools:
  projectIndex: https://developer.validic.com/llms.txt
---

# Nutrition

Returns a list of nutrition for specified user
GET /organizations/:org_id/users/:uid/nutrition

## Request Information

### Request Parameters

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Name
      </th>

      <th style={{ textAlign: "left" }}>
        Required Field
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        start_date
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        The start date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        end_date
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        The end date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        source
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        Used to filter records to source(s).  
        Example:  
        “...?source=fitbit,garmin”  
        or  
        “...?source=fitbit”
      </td>
    </tr>
  </tbody>
</Table>

### HTTP Response Status

| Response Code     | Description                                                   |
| :---------------- | :------------------------------------------------------------ |
| 200 (Ok)          | Indicates the request was received and a result was returned. |
| 400 (Bad Request) | Indicates that there was an error with request                |

### Field Description

|                       |         |                                                                                                                                                                                                                                                                                            |
| :-------------------- | :------ | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| version               | string  | Indicates the resource payload version. Validic will make future updates to the structure of the resource payload where breaking changes will receive a new version.                                                                                                                       |
| id                    | string  | Unique identifier for the record.                                                                                                                                                                                                                                                          |
| checksum              | string  | A derived value useful when comparing records with the same `id` for data updates.                                                                                                                                                                                                         |
| type                  | string  | The Validic Resource type. For Nutrition records the type will be `nutrition`.                                                                                                                                                                                                             |
| start\_time           | string  | The start time of the event represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                              |
| end\_time             | string  | The end time of the event represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                                |
| utc\_offset           | integer | The offset in seconds from UTC.                                                                                                                                                                                                                                                            |
| offset\_origin        | string  | The source of the UTC offset. Valid values: `source` (UTC offset received from the original record), `profile` (UTC offset received from the source's user profile), `user_defined` (UTC offset provided by user's time zone selection upon authorization through the Validic Marketplace) |
| user                  | object  | A User object that contains identifiers related to the user.                                                                                                                                                                                                                               |
| user>uid              | string  | The customer's user ID.                                                                                                                                                                                                                                                                    |
| user>user\_id         | string  | Validic user ID.                                                                                                                                                                                                                                                                           |
| user>organization\_id | string  | Validic organization ID.                                                                                                                                                                                                                                                                   |
| log\_id               | string  | The unique identifier for the record provided by the source.                                                                                                                                                                                                                               |
| source                |         | A source object that contains source specific information.                                                                                                                                                                                                                                 |
| source>type           | string  | The source Validic retrieved the data from.                                                                                                                                                                                                                                                |
| source>device         | object  | A device object containing information about the device that generated the data if available.                                                                                                                                                                                              |
| source>device>name    | string  | The name of the device.                                                                                                                                                                                                                                                                    |
| source>device>type    | string  | The type of the device.                                                                                                                                                                                                                                                                    |
| name                  | string  | A free form field that defines the meal type or food type for the record.                                                                                                                                                                                                                  |
| category              | string  | The category of the meal. Valid values: `food`, `meal`, `other`.                                                                                                                                                                                                                           |
| metrics               | array   | An array of Metrics. Refer to the Metrics documentation for further information.                                                                                                                                                                                                           |
| segments              | array   | An array of Segments. A more granular view of the items that compose the nutrition event.                                                                                                                                                                                                  |
| segment>name          | string  | A free form field that defines the food type for the segment.                                                                                                                                                                                                                              |
| segment>metrics       | array   | Metrics for the given segment.                                                                                                                                                                                                                                                             |
| created\_at           | string  | The record processed time represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                                |

Due to the size of the sample and the HTML limitations of our API Docs, the /nutrition code sample is repeated here.

```json
{
    "data": [
        {
            "category": "other",
            "checksum": "fa410e0f007ca9d73533a36149559dc4",
            "created_at": "2026-01-16T17:10:44.370Z",
            "deleted_at": null,
            "end_time": "2026-01-17T04:59:59Z",
            "id": "a08a2a394Samplea47ef43802",
            "log_id": "2026-01-16",
            "metrics": [
                {
                    "type": "energy_consumed",
                    "origin": "unknown",
                    "unit": "kcal",
                    "value": 1963.0
                },
                {
                    "type": "dietary_fiber",
                    "origin": "unknown",
                    "unit": "g",
                    "value": 14.94
                },
                {
                    "type": "water",
                    "origin": "unknown",
                    "unit": "mL",
                    "value": 0.0
                },
                {
                    "type": "carbohydrate",
                    "origin": "unknown",
                    "unit": "g",
                    "value": 225.46
                },
                {
                    "type": "fat",
                    "origin": "unknown",
                    "unit": "g",
                    "value": 94.13
                },
                {
                    "type": "protein",
                    "origin": "unknown",
                    "unit": "g",
                    "value": 81.04
                },
                {
                    "type": "sodium",
                    "origin": "unknown",
                    "unit": "mg",
                    "value": 3101.43
                }
            ],
            "name": "Unknown",
            "offset_origin": "profile",
            "segments": [
                {
                    "name": "Breakfast Summary",
                    "metrics": [
                        {
                            "type": "energy_consumed",
                            "origin": "unknown",
                            "unit": "kcal",
                            "value": 338.0
                        },
                        {
                            "type": "dietary_fiber",
                            "origin": "unknown",
                            "unit": "g",
                            "value": 0.0
                        },
                        {
                            "type": "carbohydrate",
                            "origin": "unknown",
                            "unit": "g",
                            "value": 0.5
                        },
                        {
                            "type": "fat",
                            "origin": "unknown",
                            "unit": "g",
                            "value": 14.31
                        },
                        {
                            "type": "protein",
                            "origin": "unknown",
                            "unit": "g",
                            "value": 6.2
                        },
                        {
                            "type": "sodium",
                            "origin": "unknown",
                            "unit": "mg",
                            "value": 405.77
                        }
                    ],
                    "food": [
                            {
                                "name": "Toast, Whole Wheat",
                                "brand": "La Cena",
                                "metrics": [
                                    {
                                        "type": "energy_consumed",
                                        "origin": "unknown",
                                        "unit": "kcal",
                                        "value": 70.0
                                    }
                                ],
                                "serving": {
                                    "amount": 2,
                                    "unit_name": "piece"
                                }
                            },
                            {
                                "name": "Bacon",
                                "brand": "",
                                "metrics": [
                                    {
                                        "type": "energy_consumed",
                                        "origin": "unknown",
                                        "unit": "kcal",
                                        "value": 158.0
                                    },
                                    {
                                        "type": "dietary_fiber",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 0.0
                                    },
                                    {
                                        "type": "carbohydrate",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 0.5
                                    },
                                    {
                                        "type": "fat",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 14.31
                                    },
                                    {
                                        "type": "protein",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 6.2
                                    },
                                    {
                                        "type": "sodium",
                                        "origin": "unknown",
                                        "unit": "mg",
                                        "value": 405.77
                                    }
                                ],
                                "serving": {
                                    "amount": 2,
                                    "unit_name": "slice"
                                }
                            },
                            {
                                "name": "Orange Juice",
                                "brand": "Simply Orange",
                                "metrics": [
                                    {
                                        "type": "energy_consumed",
                                        "origin": "unknown",
                                        "unit": "kcal",
                                        "value": 110.0
                                    }
                                ],
                                "serving": {
                                    "amount": 8,
                                    "unit_name": "fl oz"
                                }
                            }
                        ]
                },
                {
                    "name": "Lunch Summary",
                    "metrics": [
                        {
                            "type": "energy_consumed",
                            "origin": "unknown",
                            "unit": "kcal",
                            "value": 767.0
                        },
                        {
                            "type": "dietary_fiber",
                            "origin": "unknown",
                            "unit": "g",
                            "value": 4.69
                        },
                        {
                            "type": "carbohydrate",
                            "origin": "unknown",
                            "unit": "g",
                            "value": 50.26
                        },
                        {
                            "type": "fat",
                            "origin": "unknown",
                            "unit": "g",
                            "value": 22.85
                        },
                        {
                            "type": "protein",
                            "origin": "unknown",
                            "unit": "g",
                            "value": 5.04
                        },
                        {
                            "type": "sodium",
                            "origin": "unknown",
                            "unit": "mg",
                            "value": 259.96
                        }
                    ],
                    "food": [
                            {
                                "name": "Chick-fil-A Nuggets, 6-Count",
                                "brand": "Chick-Fil-A",
                                "metrics": [
                                    {
                                        "type": "energy_consumed",
                                        "origin": "unknown",
                                        "unit": "kcal",
                                        "value": 190.0
                                    }
                                ],
                                "serving": {
                                    "amount": 6,
                                    "unit_name": "nugget"
                                }
                            },
                            {
                                "name": "Pepsi Cola",
                                "brand": "Pepsi",
                                "metrics": [
                                    {
                                        "type": "energy_consumed",
                                        "origin": "unknown",
                                        "unit": "kcal",
                                        "value": 150.0
                                    }
                                ],
                                "serving": {
                                    "amount": 12,
                                    "unit_name": "fl oz"
                                }
                            },
                            {
                                "name": "French Fries",
                                "brand": "",
                                "metrics": [
                                    {
                                        "type": "energy_consumed",
                                        "origin": "unknown",
                                        "unit": "kcal",
                                        "value": 427.0
                                    },
                                    {
                                        "type": "dietary_fiber",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 4.69
                                    },
                                    {
                                        "type": "carbohydrate",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 50.26
                                    },
                                    {
                                        "type": "fat",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 22.85
                                    },
                                    {
                                        "type": "protein",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 5.04
                                    },
                                    {
                                        "type": "sodium",
                                        "origin": "unknown",
                                        "unit": "mg",
                                        "value": 259.96
                                    }
                                ],
                                "serving": {
                                    "amount": 1,
                                    "unit_name": "medium"
                                }
                            }
                        ]
                },
                {
                    "name": "Dinner Summary",
                    "metrics": [
                        {
                            "type": "energy_consumed",
                            "origin": "unknown",
                            "unit": "kcal",
                            "value": 718.0
                        },
                        {
                            "type": "dietary_fiber",
                            "origin": "unknown",
                            "unit": "g",
                            "value": 5.25
                        },
                        {
                            "type": "carbohydrate",
                            "origin": "unknown",
                            "unit": "g",
                            "value": 63.7
                        },
                        {
                            "type": "fat",
                            "origin": "unknown",
                            "unit": "g",
                            "value": 39.980000000000004
                        },
                        {
                            "type": "protein",
                            "origin": "unknown",
                            "unit": "g",
                            "value": 41.8
                        },
                        {
                            "type": "sodium",
                            "origin": "unknown",
                            "unit": "mg",
                            "value": 1500.7
                        }
                    ],
                    "food": [
                            {
                                "name": "Baked Potato",
                                "brand": "",
                                "metrics": [
                                    {
                                        "type": "energy_consumed",
                                        "origin": "unknown",
                                        "unit": "kcal",
                                        "value": 259.0
                                    },
                                    {
                                        "type": "dietary_fiber",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 5.25
                                    },
                                    {
                                        "type": "carbohydrate",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 48.2
                                    },
                                    {
                                        "type": "fat",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 14.5
                                    },
                                    {
                                        "type": "protein",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 6.5
                                    },
                                    {
                                        "type": "sodium",
                                        "origin": "unknown",
                                        "unit": "mg",
                                        "value": 841.2
                                    }
                                ],
                                "serving": {
                                    "amount": 1,
                                    "unit_name": "serving"
                                }
                            },
                            {
                                "name": "Green Beans, Cut",
                                "brand": "Green Giant",
                                "metrics": [
                                    {
                                        "type": "energy_consumed",
                                        "origin": "unknown",
                                        "unit": "kcal",
                                        "value": 30.0
                                    }
                                ],
                                "serving": {
                                    "amount": 0,
                                    "unit_name": "cup"
                                }
                            },
                            {
                                "name": "Milk",
                                "brand": "",
                                "metrics": [
                                    {
                                        "type": "energy_consumed",
                                        "origin": "unknown",
                                        "unit": "kcal",
                                        "value": 184.0
                                    },
                                    {
                                        "type": "dietary_fiber",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 0.0
                                    },
                                    {
                                        "type": "carbohydrate",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 15.5
                                    },
                                    {
                                        "type": "fat",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 8.48
                                    },
                                    {
                                        "type": "protein",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 12.0
                                    },
                                    {
                                        "type": "sodium",
                                        "origin": "unknown",
                                        "unit": "mg",
                                        "value": 159.5
                                    }
                                ],
                                "serving": {
                                    "amount": 1,
                                    "unit_name": "serving"
                                }
                            },
                            {
                                "name": "Chicken, Roasted",
                                "brand": "",
                                "metrics": [
                                    {
                                        "type": "energy_consumed",
                                        "origin": "unknown",
                                        "unit": "kcal",
                                        "value": 245.0
                                    },
                                    {
                                        "type": "dietary_fiber",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 0.0
                                    },
                                    {
                                        "type": "carbohydrate",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 0.0
                                    },
                                    {
                                        "type": "fat",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 17.0
                                    },
                                    {
                                        "type": "protein",
                                        "origin": "unknown",
                                        "unit": "g",
                                        "value": 23.3
                                    },
                                    {
                                        "type": "sodium",
                                        "origin": "unknown",
                                        "unit": "mg",
                                        "value": 500.0
                                    }
                                ],
                                "serving": {
                                    "amount": 100,
                                    "unit_name": "gram"
                                }
                            }
                        ]
                },
                {
                    "name": "Snack Summary",
                    "metrics": [
                        {
                            "type": "energy_consumed",
                            "origin": "unknown",
                            "unit": "kcal",
                            "value": 140.0
                        }
                    ],
                    "food": [
                            {
                                "name": "Breyers Chocolate Ice Cream",
                                "brand": "Domino's",
                                "metrics": [
                                    {
                                        "type": "energy_consumed",
                                        "origin": "unknown",
                                        "unit": "kcal",
                                        "value": 140.0
                                    }
                                ],
                                "serving": {
                                    "amount": 0,
                                    "unit_name": "cup"
                                }
                            }
                        ]
                }
            ],
            "source": {
                "type": "fitbit",
                "device": null
            },
            "start_time": "2026-01-16T05:00:00Z",
            "tags": [],
            "type": "nutrition",
            "user": {
                "organization_id": "59775233sample014a1f9a",
                "user_id": "5dcf7145Sample0001b11f51",
                "uid": "ewdw08420ds"
            },
            "user_notes": [],
            "utc_offset": -18000,
            "version": "1.0"
        }
    ]
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "inform-data-resources",
    "version": "2.0"
  },
  "servers": [
    {
      "url": "https://api.v2.validic.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/organizations/{org_id}/users/{uid}/nutrition?token={token}": {
      "get": {
        "summary": "Nutrition",
        "description": "Returns a list of nutrition for specified user\nGET /organizations/:org_id/users/:uid/nutrition",
        "operationId": "nutrition",
        "parameters": [
          {
            "name": "org_id",
            "in": "path",
            "description": "Organization ID provided to you by Validic.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "uid",
            "in": "path",
            "description": "The UID you defined when provisioning the client.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "start_date",
            "in": "query",
            "description": "The start date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "end_date",
            "in": "query",
            "description": "The end date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Used to filter records to source(s).  Example:  “...?source=fitbit,garmin” or  “...?source=fitbit”",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "token",
            "in": "path",
            "description": "Developer Key as supplied by Validic.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "data": [
                        {
                          "category": "other",
                          "checksum": "fa410e0f007ca9d73533a36149559dc4",
                          "created_at": "2026-01-16T17:10:44.370Z",
                          "deleted_at": null,
                          "end_time": "2026-01-17T04:59:59Z",
                          "id": "a08a2a394Samplea47ef43802",
                          "log_id": "2026-01-16",
                          "metrics": [
                            {
                              "type": "energy_consumed",
                              "origin": "unknown",
                              "unit": "kcal",
                              "value": 1963
                            },
                            {
                              "type": "dietary_fiber",
                              "origin": "unknown",
                              "unit": "g",
                              "value": 14.94
                            },
                            {
                              "type": "water",
                              "origin": "unknown",
                              "unit": "mL",
                              "value": 0
                            },
                            {
                              "type": "carbohydrate",
                              "origin": "unknown",
                              "unit": "g",
                              "value": 225.46
                            },
                            {
                              "type": "fat",
                              "origin": "unknown",
                              "unit": "g",
                              "value": 94.13
                            },
                            {
                              "type": "protein",
                              "origin": "unknown",
                              "unit": "g",
                              "value": 81.04
                            },
                            {
                              "type": "sodium",
                              "origin": "unknown",
                              "unit": "mg",
                              "value": 3101.43
                            }
                          ],
                          "name": "Unknown",
                          "offset_origin": "profile",
                          "segments": [
                            {
                              "name": "Breakfast Summary",
                              "metrics": [
                                {
                                  "type": "energy_consumed",
                                  "origin": "unknown",
                                  "unit": "kcal",
                                  "value": 338
                                },
                                {
                                  "type": "dietary_fiber",
                                  "origin": "unknown",
                                  "unit": "g",
                                  "value": 0
                                },
                                {
                                  "type": "carbohydrate",
                                  "origin": "unknown",
                                  "unit": "g",
                                  "value": 0.5
                                },
                                {
                                  "type": "fat",
                                  "origin": "unknown",
                                  "unit": "g",
                                  "value": 14.31
                                },
                                {
                                  "type": "protein",
                                  "origin": "unknown",
                                  "unit": "g",
                                  "value": 6.2
                                },
                                {
                                  "type": "sodium",
                                  "origin": "unknown",
                                  "unit": "mg",
                                  "value": 405.77
                                }
                              ],
                              "food": [
                                {
                                  "name": "Toast, Whole Wheat",
                                  "brand": "La Cena",
                                  "metrics": [
                                    {
                                      "type": "energy_consumed",
                                      "origin": "unknown",
                                      "unit": "kcal",
                                      "value": 70
                                    }
                                  ],
                                  "serving": {
                                    "amount": 2,
                                    "unit_name": "piece"
                                  }
                                },
                                {
                                  "name": "Bacon",
                                  "brand": "",
                                  "metrics": [
                                    {
                                      "type": "energy_consumed",
                                      "origin": "unknown",
                                      "unit": "kcal",
                                      "value": 158
                                    },
                                    {
                                      "type": "dietary_fiber",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 0
                                    },
                                    {
                                      "type": "carbohydrate",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 0.5
                                    },
                                    {
                                      "type": "fat",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 14.31
                                    },
                                    {
                                      "type": "protein",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 6.2
                                    },
                                    {
                                      "type": "sodium",
                                      "origin": "unknown",
                                      "unit": "mg",
                                      "value": 405.77
                                    }
                                  ],
                                  "serving": {
                                    "amount": 2,
                                    "unit_name": "slice"
                                  }
                                },
                                {
                                  "name": "Orange Juice",
                                  "brand": "Simply Orange",
                                  "metrics": [
                                    {
                                      "type": "energy_consumed",
                                      "origin": "unknown",
                                      "unit": "kcal",
                                      "value": 110
                                    }
                                  ],
                                  "serving": {
                                    "amount": 8,
                                    "unit_name": "fl oz"
                                  }
                                }
                              ]
                            },
                            {
                              "name": "Lunch Summary",
                              "metrics": [
                                {
                                  "type": "energy_consumed",
                                  "origin": "unknown",
                                  "unit": "kcal",
                                  "value": 767
                                },
                                {
                                  "type": "dietary_fiber",
                                  "origin": "unknown",
                                  "unit": "g",
                                  "value": 4.69
                                },
                                {
                                  "type": "carbohydrate",
                                  "origin": "unknown",
                                  "unit": "g",
                                  "value": 50.26
                                },
                                {
                                  "type": "fat",
                                  "origin": "unknown",
                                  "unit": "g",
                                  "value": 22.85
                                },
                                {
                                  "type": "protein",
                                  "origin": "unknown",
                                  "unit": "g",
                                  "value": 5.04
                                },
                                {
                                  "type": "sodium",
                                  "origin": "unknown",
                                  "unit": "mg",
                                  "value": 259.96
                                }
                              ],
                              "food": [
                                {
                                  "name": "Chick-fil-A Nuggets, 6-Count",
                                  "brand": "Chick-Fil-A",
                                  "metrics": [
                                    {
                                      "type": "energy_consumed",
                                      "origin": "unknown",
                                      "unit": "kcal",
                                      "value": 190
                                    }
                                  ],
                                  "serving": {
                                    "amount": 6,
                                    "unit_name": "nugget"
                                  }
                                },
                                {
                                  "name": "Pepsi Cola",
                                  "brand": "Pepsi",
                                  "metrics": [
                                    {
                                      "type": "energy_consumed",
                                      "origin": "unknown",
                                      "unit": "kcal",
                                      "value": 150
                                    }
                                  ],
                                  "serving": {
                                    "amount": 12,
                                    "unit_name": "fl oz"
                                  }
                                },
                                {
                                  "name": "French Fries",
                                  "brand": "",
                                  "metrics": [
                                    {
                                      "type": "energy_consumed",
                                      "origin": "unknown",
                                      "unit": "kcal",
                                      "value": 427
                                    },
                                    {
                                      "type": "dietary_fiber",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 4.69
                                    },
                                    {
                                      "type": "carbohydrate",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 50.26
                                    },
                                    {
                                      "type": "fat",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 22.85
                                    },
                                    {
                                      "type": "protein",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 5.04
                                    },
                                    {
                                      "type": "sodium",
                                      "origin": "unknown",
                                      "unit": "mg",
                                      "value": 259.96
                                    }
                                  ],
                                  "serving": {
                                    "amount": 1,
                                    "unit_name": "medium"
                                  }
                                }
                              ]
                            },
                            {
                              "name": "Dinner Summary",
                              "metrics": [
                                {
                                  "type": "energy_consumed",
                                  "origin": "unknown",
                                  "unit": "kcal",
                                  "value": 718
                                },
                                {
                                  "type": "dietary_fiber",
                                  "origin": "unknown",
                                  "unit": "g",
                                  "value": 5.25
                                },
                                {
                                  "type": "carbohydrate",
                                  "origin": "unknown",
                                  "unit": "g",
                                  "value": 63.7
                                },
                                {
                                  "type": "fat",
                                  "origin": "unknown",
                                  "unit": "g",
                                  "value": 39.980000000000004
                                },
                                {
                                  "type": "protein",
                                  "origin": "unknown",
                                  "unit": "g",
                                  "value": 41.8
                                },
                                {
                                  "type": "sodium",
                                  "origin": "unknown",
                                  "unit": "mg",
                                  "value": 1500.7
                                }
                              ],
                              "food": [
                                {
                                  "name": "Baked Potato",
                                  "brand": "",
                                  "metrics": [
                                    {
                                      "type": "energy_consumed",
                                      "origin": "unknown",
                                      "unit": "kcal",
                                      "value": 259
                                    },
                                    {
                                      "type": "dietary_fiber",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 5.25
                                    },
                                    {
                                      "type": "carbohydrate",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 48.2
                                    },
                                    {
                                      "type": "fat",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 14.5
                                    },
                                    {
                                      "type": "protein",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 6.5
                                    },
                                    {
                                      "type": "sodium",
                                      "origin": "unknown",
                                      "unit": "mg",
                                      "value": 841.2
                                    }
                                  ],
                                  "serving": {
                                    "amount": 1,
                                    "unit_name": "serving"
                                  }
                                },
                                {
                                  "name": "Green Beans, Cut",
                                  "brand": "Green Giant",
                                  "metrics": [
                                    {
                                      "type": "energy_consumed",
                                      "origin": "unknown",
                                      "unit": "kcal",
                                      "value": 30
                                    }
                                  ],
                                  "serving": {
                                    "amount": 0,
                                    "unit_name": "cup"
                                  }
                                },
                                {
                                  "name": "Milk",
                                  "brand": "",
                                  "metrics": [
                                    {
                                      "type": "energy_consumed",
                                      "origin": "unknown",
                                      "unit": "kcal",
                                      "value": 184
                                    },
                                    {
                                      "type": "dietary_fiber",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 0
                                    },
                                    {
                                      "type": "carbohydrate",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 15.5
                                    },
                                    {
                                      "type": "fat",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 8.48
                                    },
                                    {
                                      "type": "protein",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 12
                                    },
                                    {
                                      "type": "sodium",
                                      "origin": "unknown",
                                      "unit": "mg",
                                      "value": 159.5
                                    }
                                  ],
                                  "serving": {
                                    "amount": 1,
                                    "unit_name": "serving"
                                  }
                                },
                                {
                                  "name": "Chicken, Roasted",
                                  "brand": "",
                                  "metrics": [
                                    {
                                      "type": "energy_consumed",
                                      "origin": "unknown",
                                      "unit": "kcal",
                                      "value": 245
                                    },
                                    {
                                      "type": "dietary_fiber",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 0
                                    },
                                    {
                                      "type": "carbohydrate",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 0
                                    },
                                    {
                                      "type": "fat",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 17
                                    },
                                    {
                                      "type": "protein",
                                      "origin": "unknown",
                                      "unit": "g",
                                      "value": 23.3
                                    },
                                    {
                                      "type": "sodium",
                                      "origin": "unknown",
                                      "unit": "mg",
                                      "value": 500
                                    }
                                  ],
                                  "serving": {
                                    "amount": 100,
                                    "unit_name": "gram"
                                  }
                                }
                              ]
                            },
                            {
                              "name": "Snack Summary",
                              "metrics": [
                                {
                                  "type": "energy_consumed",
                                  "origin": "unknown",
                                  "unit": "kcal",
                                  "value": 140
                                }
                              ],
                              "food": [
                                {
                                  "name": "Breyers Chocolate Ice Cream",
                                  "brand": "Domino's",
                                  "metrics": [
                                    {
                                      "type": "energy_consumed",
                                      "origin": "unknown",
                                      "unit": "kcal",
                                      "value": 140
                                    }
                                  ],
                                  "serving": {
                                    "amount": 0,
                                    "unit_name": "cup"
                                  }
                                }
                              ]
                            }
                          ],
                          "source": {
                            "type": "fitbit",
                            "device": null
                          },
                          "start_time": "2026-01-16T05:00:00Z",
                          "tags": [],
                          "type": "nutrition",
                          "user": {
                            "organization_id": "59775233sample014a1f9a",
                            "user_id": "5dcf7145Sample0001b11f51",
                            "uid": "ewdw08420ds"
                          },
                          "user_notes": [],
                          "utc_offset": -18000,
                          "version": "1.0"
                        }
                      ]
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "category": {
                            "type": "string",
                            "example": "other"
                          },
                          "checksum": {
                            "type": "string",
                            "example": "fa410e0f007ca9d73533a36149559dc4"
                          },
                          "created_at": {
                            "type": "string",
                            "example": "2020-01-16T17:10:44.370Z"
                          },
                          "deleted_at": {},
                          "end_time": {
                            "type": "string",
                            "example": "2020-01-17T04:59:59Z"
                          },
                          "id": {
                            "type": "string",
                            "example": "a08a2a394Samplea47ef43802"
                          },
                          "log_id": {
                            "type": "string",
                            "example": "2020-01-16"
                          },
                          "metrics": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "type": {
                                  "type": "string",
                                  "example": "energy_consumed"
                                },
                                "origin": {
                                  "type": "string",
                                  "example": "unknown"
                                },
                                "unit": {
                                  "type": "string",
                                  "example": "kcal"
                                },
                                "value": {
                                  "type": "integer",
                                  "example": 1963,
                                  "default": 0
                                }
                              }
                            }
                          },
                          "name": {
                            "type": "string",
                            "example": "Unknown"
                          },
                          "offset_origin": {
                            "type": "string",
                            "example": "profile"
                          },
                          "segments": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "name": {
                                  "type": "string",
                                  "example": "Breakfast Summary"
                                },
                                "metrics": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "type": {
                                        "type": "string",
                                        "example": "energy_consumed"
                                      },
                                      "origin": {
                                        "type": "string",
                                        "example": "unknown"
                                      },
                                      "unit": {
                                        "type": "string",
                                        "example": "kcal"
                                      },
                                      "value": {
                                        "type": "integer",
                                        "example": 338,
                                        "default": 0
                                      }
                                    }
                                  }
                                },
                                "food": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "name": {
                                        "type": "string",
                                        "example": "Toast, Whole Wheat"
                                      },
                                      "brand": {
                                        "type": "string",
                                        "example": "La Cena"
                                      },
                                      "metrics": {
                                        "type": "array",
                                        "items": {
                                          "type": "object",
                                          "properties": {
                                            "type": {
                                              "type": "string",
                                              "example": "energy_consumed"
                                            },
                                            "origin": {
                                              "type": "string",
                                              "example": "unknown"
                                            },
                                            "unit": {
                                              "type": "string",
                                              "example": "kcal"
                                            },
                                            "value": {
                                              "type": "integer",
                                              "example": 70,
                                              "default": 0
                                            }
                                          }
                                        }
                                      },
                                      "serving": {
                                        "type": "object",
                                        "properties": {
                                          "amount": {
                                            "type": "integer",
                                            "example": 2,
                                            "default": 0
                                          },
                                          "unit_name": {
                                            "type": "string",
                                            "example": "piece"
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "source": {
                            "type": "object",
                            "properties": {
                              "type": {
                                "type": "string",
                                "example": "fitbit"
                              },
                              "device": {}
                            }
                          },
                          "start_time": {
                            "type": "string",
                            "example": "2020-01-16T05:00:00Z"
                          },
                          "tags": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "type": {
                            "type": "string",
                            "example": "nutrition"
                          },
                          "user": {
                            "type": "object",
                            "properties": {
                              "organization_id": {
                                "type": "string",
                                "example": "59775233sample014a1f9a"
                              },
                              "user_id": {
                                "type": "string",
                                "example": "5dcf7145Sample0001b11f51"
                              },
                              "uid": {
                                "type": "string",
                                "example": "ewdw08420ds"
                              }
                            }
                          },
                          "user_notes": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {}
                            }
                          },
                          "utc_offset": {
                            "type": "integer",
                            "example": -18000,
                            "default": 0
                          },
                          "version": {
                            "type": "string",
                            "example": "1.0"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "Indicates that there was an error with request\n"
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errors\": [\n        \"Token is not authorized to access organization\"\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Token is not authorized to access organization"
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"message\": \"Invalid authentication credentials\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Invalid authentication credentials"
                    }
                  }
                }
              }
            }
          }
        },
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n  --url 'https://api.v2.validic.com/organizations/59775233sample014a1f9a/users/ewdw08420ds/nutrition?token=6f46db36dd6543d2b82d91698fcd0896'"
            },
            {
              "language": "ruby",
              "code": "require 'uri'\nrequire 'net/http'\n\nurl = URI(\"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/demotestuser1/nutrition?token=6f46db36dd6543d2b82d91698fcd0896\")\n\nhttp = Net::HTTP.new(url.host, url.port)\n\nrequest = Net::HTTP::Get.new(url)\n\nresponse = http.request(request)\nputs response.read_body"
            },
            {
              "language": "python",
              "code": "import requests\n\nurl = \"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/demotestuser1/nutrition\"\n\nquerystring = {\"token\":\"6f46db36dd6543d2b82d91698fcd0896\"}\n\nresponse = requests.request(\"GET\", url, params=querystring)\n\nprint(response.text)"
            },
            {
              "language": "go",
              "code": "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/demotestuser1/nutrition?token=6f46db36dd6543d2b82d91698fcd0896\"\n\n\treq, _ := http.NewRequest(\"GET\", url, nil)\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
            },
            {
              "language": "php",
              "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => \"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users/demotestuser1/nutrition?token=6f46db36dd6543d2b82d91698fcd0896\",\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => \"\",\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 30,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => \"GET\",\n));\n\n$response = curl_exec($curl);\n$err = curl_error($curl);\n\ncurl_close($curl);\n\nif ($err) {\n  echo \"cURL Error #:\" . $err;\n} else {\n  echo $response;\n}"
            }
          ],
          "samples-languages": [
            "curl",
            "ruby",
            "python",
            "go",
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```